
Redmine - Patch #30827

git tags can't handle utf-8

2019-02-18 10:05 - Pavel Rosický

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Description

1/ create a git tag that contains ascii incompatible character like "Aufräumen"

2/ open the repository page

Internal Server Error - incompatible character encodings: UTF-8 and ASCII-8BIT

https://github.com/redmine/redmine/blob/979b0b6331db287179661594e22539331c1d8fb3/app/views/repositories/_navigation.html.e

rb#L35

Related issues:

Related to Redmine - Defect #16881: Git: repository page crashes when non-asc... Closed

History

#1 - 2019-02-18 13:46 - Go MAEDA

- Related to Defect #16881: Git: repository page crashes when non-ascii character in tag or branch name added

#2 - 2019-02-18 13:48 - Go MAEDA

Maybe also branches should be fixed?

#3 - 2019-02-18 15:03 - Pavel Rosický

right, thanks. I'm looking into it!

#4 - 2019-02-18 18:45 - Pavel Rosický

- File git_adapter.rb.patch added

- File git_tests.patch added

@Go MAEDA you can simulate the problem with attached tests.

I'm not sure about the input encoding, AFAIK it should be set by the shell's LC_ALL variable or is it always in UTF-8?

#5 - 2019-02-18 18:49 - Pavel Rosický

- File git_repository.tar.gz added

looks like I can't attach .tar.gz as a patch...

#6 - 2019-02-20 05:20 - Go MAEDA

- Target version set to Candidate for next major release

#7 - 2019-04-05 16:45 - Pavel Rosický

- Status changed from New to Resolved

http://www.redmine.org/projects/redmine/repository/revisions/18042

#8 - 2019-04-30 10:36 - Go MAEDA

- Status changed from Resolved to Closed

- Target version deleted (Candidate for next major release)

Fixed for upcoming Redmine 4.1.0 (#16881).
Files

git_adapter.rb.patch 488 Bytes 2019-02-18 Pavel Rosický

git_adapter.rb.patch 1.2 KB 2019-02-18 Pavel Rosický

git_tests.patch 2.45 KB 2019-02-18 Pavel Rosický

git_repository.tar.gz 20.5 KB 2019-02-18 Pavel Rosický
